Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class PerforceRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.PerforceRepository

All Implemented Interfaces:
  java.io.Serializable

public class PerforceRepository
extends Repository

Perforce adaptor

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`PerforceRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`PerforceLineEndEnum` | `getLineEnd()` OGNL: Set line ending character(s) for client text files.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getP4ExePath()` OGNL: Specify path to your p4 executable file, for example: /usr/local/bin/p4.
`java.lang.String` | `getPassword()` OGNL: Password for the above user.
`java.lang.String` | `getPort()` OGNL: The Perforce port in the format of <port>, or <servername>:<port>, where <servername> and <port> will be replaced by the actual Perforce server name and the port number.
`java.lang.String` | `getUser()` OGNL: User name to access the above Perforce server.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setLineEnd(PerforceLineEndEnum lineEnd)`
`void` | `setP4ExePath(java.lang.String p4ExePath)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPort(java.lang.String port)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceRepository

    public PerforceRepository()

Method Detail

### getPort

    public java.lang.String getPort()

  OGNL: The Perforce port in the format of <port>, or <servername>:<port>, where <servername> and <port> will be replaced by the actual Perforce server name and the port number.

  Returns:

### setPort

    public void setPort(java.lang.String port)

### getUser

    public java.lang.String getUser()

  OGNL: User name to access the above Perforce server. This user should have the rights to create and edit client specifications and to checkout and label code.

  Returns:

### setUser

    public void setUser(java.lang.String user)

### getPassword

    public java.lang.String getPassword()

  OGNL: Password for the above user. Can be blank, if your Perforce server does not use password based security.

  Returns:

### setPassword

    public void setPassword(java.lang.String password)

### getLineEnd

    public PerforceLineEndEnum getLineEnd()

  OGNL: Set line ending character(s) for client text files.
  local: use mode native to the client
  unix: UNIX style mac: Macintosh style
  win: Windows style
  share: writes UNIX style but reads UNIX, Mac or Windows style

  Returns:

### setLineEnd

    public void setLineEnd(PerforceLineEndEnum lineEnd)

### getP4ExePath

    public java.lang.String getP4ExePath()

  OGNL: Specify path to your p4 executable file, for example: /usr/local/bin/p4. It should be specified here, if it does not exist in the system path.

  Returns:

### setP4ExePath

    public void setP4ExePath(java.lang.String p4ExePath)

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.